<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia at Jan 20, 2013 ( $Revision$ ) -->
<!-- $HeadURL: https://svn.apache.org/repos/asf/httpcomponents/maven-skin/trunk/src/main/resources/META-INF/maven/site.vm $ -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>Apache HttpComponents - 
    HttpComponents Downloads</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20130120" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                        <a href="http://www.apache.org/" id="bannerLeft">
                                        <img src="http://www.apache.org/images/asf_logo_wide.gif" alt="Apache" />
                </a>
                                            <a href="./" id="bannerRight">
                                                <img src="images/logos/httpcomponents.png" alt="HttpComponents" />
                </a>
            <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
        
                <div class="xleft">
        <span id="publishDate">Last Published: 2013-01-20</span>
                  &nbsp;| <span id="projectVersion">Version: 7-SNAPSHOT</span>
                      </div>
            <div class="xright">                    <a href="http://www.apache.org/" class="externalLink" title="Apache">Apache</a>
            |
                        <a href="index.html" title="HttpComponents">HttpComponents</a>
              
        
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
        
                                <h5>HttpComponents</h5>
                  <ul>
                  <li class="none">
                          <a href="index.html" title="Home">Home</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/licenses/" class="externalLink" title="License">License</a>
            </li>
                  <li class="none">
                          <a href="downloads.cgi" title="Download">Download</a>
            </li>
                  <li class="none">
                          <a href="mail.html" title="Mailing Lists">Mailing Lists</a>
            </li>
                  <li class="none">
                          <a href="user-docs.html" title="User documents">User documents</a>
            </li>
                  <li class="none">
                          <a href="dev-docs.html" title="Developer documents">Developer documents</a>
            </li>
                  <li class="none">
                          <a href="http://wiki.apache.org/HttpComponents/" class="externalLink" title="Wiki (external)">Wiki (external)</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/security/" class="externalLink" title="Security">Security</a>
            </li>
          </ul>
                       <h5>Overview</h5>
                  <ul>
                  <li class="none">
                          <a href="index.html" title="About">About</a>
            </li>
                  <li class="none">
                          <a href="news.html" title="News">News</a>
            </li>
                  <li class="none">
                          <a href="poweredby.html" title="Powered by">Powered by</a>
            </li>
                  <li class="none">
                          <a href="get-involved.html" title="Get Involved">Get Involved</a>
            </li>
          </ul>
                       <h5>Components</h5>
                  <ul>
                  <li class="none">
                          <a href="httpcomponents-client-ga/index.html" title="HttpClient (GA)">HttpClient (GA)</a>
            </li>
                  <li class="none">
                          <a href="httpcomponents-client-dev/index.html" title="HttpClient (DEV)">HttpClient (DEV)</a>
            </li>
                  <li class="none">
                          <a href="httpcomponents-core-ga/index.html" title="HttpCore (GA)">HttpCore (GA)</a>
            </li>
                  <li class="none">
                          <a href="httpcomponents-core-dev/index.html" title="HttpCore (DEV)">HttpCore (DEV)</a>
            </li>
                  <li class="none">
                          <a href="httpcomponents-asyncclient-dev/index.html" title="HttpAsyncClient (DEV)">HttpAsyncClient (DEV)</a>
            </li>
          </ul>
                       <h5>Legacy</h5>
                  <ul>
                  <li class="none">
                          <a href="httpclient-legacy/index.html" title="Commons HttpClient">Commons HttpClient</a>
            </li>
          </ul>
                       <h5>Project</h5>
                  <ul>
                  <li class="none">
                          <a href="status.html" title="Status">Status</a>
            </li>
                  <li class="none">
                          <a href="charter.html" title="Charter">Charter</a>
            </li>
                  <li class="none">
                          <a href="bylaws.html" title="Bylaws">Bylaws</a>
            </li>
                  <li class="none">
                          <a href="goals.html" title="Goals">Goals</a>
            </li>
          </ul>
                       <h5>Project Documentation</h5>
                  <ul>
                                                                                                                          <li class="collapsed">
                          <a href="project-info.html" title="Project Information">Project Information</a>
                  </li>
          </ul>
                       <h5>ASF</h5>
                  <ul>
                  <li class="none">
                          <a href="http://www.apache.org" class="externalLink" title="ASF Home Page">ASF Home Page</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/foundation/" class="externalLink" title="Foundation">Foundation</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/foundation/sponsorship.html" class="externalLink" title="Sponsor Apache">Sponsor Apache</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/foundation/thanks.html" class="externalLink" title="Thanks">Thanks</a>
            </li>
          </ul>
                                                                                                                   <a href="http://www.apache.org/events/current-event.html" title="ApacheCon" class="poweredBy">
        <img class="poweredBy"  alt="ApacheCon" src="http://www.apache.org/events/current-event-125x125.png"    />
      </a>
                                                                                                    <a href="http://maven.apache.org/" title="Maven" class="poweredBy">
        <img class="poweredBy"  alt="Maven" src="http://maven.apache.org/images/logos/maven-feather.png"    />
      </a>
                       
        
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        

  

  <div class="section"><h2>HttpComponents Downloads<a name="HttpComponents_Downloads"></a></h2>
  <p>We recommend you use a mirror to download our release builds, but you <b>must</b> 
   verify the integrity of the downloaded files using signatures downloaded from our main 
   distribution directories. Recent releases (48 hours) may not yet be available from the mirrors.
  </p>

  <p>You are currently using <b>[preferred]</b>.  If you encounter a problem with this mirror, 
   please select another mirror.  If all mirrors are failing, there are <i>backup</i> mirrors (at 
   the end of the mirrors list) that should be available.
  <br />
  [if-any logo]<a href="[link]">
  <img src="[logo]" align="right" border="0" alt="" />
  </a>
  [end]
  </p>

  <form action="[location]" method="get" id="SelectMirror">
    Other mirrors: 
    <select name="Preferred">
    [if-any http]
      [for http]<option value="[http]">[http]</option>[end]
    [end]
    [if-any ftp]
      [for ftp]<option value="[ftp]">[ftp]</option>[end]
    [end]
    [if-any backup]
      [for backup]<option value="[backup]">[backup] (backup)</option>[end]
    [end]
    </select>
    <input type="submit" value="Change" />
  </form>

  <p>The <tt>KEYS</tt> link links to the code signing keys used to sign the product. The 
   <tt>PGP</tt> link downloads the OpenPGP compatible signature from our main site. The 
   <tt>MD5</tt> link downloads the checksum from the main site.
  </p>

  <div class="section"><h3>HttpClient 4.2.3 (GA)<a name="HttpClient_4.2.3_GA"></a></h3>
    <a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/KEYS">KEYS</a>
    <a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/RELEASE_NOTES-4.2.x.txt">Release Notes</a>
    <br />
    <p>Binary</p>
    <ul>
     <li>
       <a href="[preferred]/httpcomponents/httpclient/binary/httpcomponents-client-4.2.3-bin.tar.gz">4.2.3.tar.gz</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/binary/httpcomponents-client-4.2.3-bin.tar.gz.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/binary/httpcomponents-client-4.2.3-bin.tar.gz.asc">pgp</a>]
     </li>
     <li>
       <a href="[preferred]/httpcomponents/httpclient/binary/httpcomponents-client-4.2.3-bin.zip">4.2.3.zip</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/binary/httpcomponents-client-4.2.3-bin.zip.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/binary/httpcomponents-client-4.2.3-bin.zip.asc">pgp</a>]
     </li>
     <li>
       <a href="[preferred]/httpcomponents/httpclient/binary/httpcomponents-client-4.2.3-osgi-bin.tar.gz">4.2.3.tar.gz (OSGi bundle)</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/binary/httpcomponents-client-4.2.3-osgi-bin.tar.gz.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/binary/httpcomponents-client-4.2.3-osgi-bin.tar.gz.asc">pgp</a>]
     </li>
     <li>
       <a href="[preferred]/httpcomponents/httpclient/binary/httpcomponents-client-4.2.3-osgi-bin.zip">4.2.3.zip (OSGi bundle)</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/binary/httpcomponents-client-4.2.3-osgi-bin.zip.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/binary/httpcomponents-client-4.2.3-osgi-bin.zip.asc">pgp</a>]
     </li>
    </ul>
    <p>Source</p>
    <ul>
     <li>
       <a href="[preferred]/httpcomponents/httpclient/source/httpcomponents-client-4.2.3-src.tar.gz">4.2.3.tar.gz</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/source/httpcomponents-client-4.2.3-src.tar.gz.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/source/httpcomponents-client-4.2.3-src.tar.gz.asc">pgp</a>]
     </li>
     <li>
       <a href="[preferred]/httpcomponents/httpclient/source/httpcomponents-client-4.2.3-src.zip">4.2.3.zip</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/source/httpcomponents-client-4.2.3-src.zip.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/source/httpcomponents-client-4.2.3-src.zip.asc">pgp</a>]
     </li>
    </ul>
  </div>
  
  <div class="section"><h3>HttpClient 4.3-alpha1<a name="HttpClient_4.3-alpha1"></a></h3>
    <a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/KEYS">KEYS</a>
    <a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/RELEASE_NOTES.txt">Release Notes</a>
    <br />
    <p>Binary</p>
    <ul>
     <li>
       <a href="[preferred]/httpcomponents/httpclient/binary/httpcomponents-client-4.3-alpha1-bin.tar.gz">4.3-alpha1.tar.gz</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/binary/httpcomponents-client-4.3-alpha1-bin.tar.gz.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/binary/httpcomponents-client-4.3-alpha1-bin.tar.gz.asc">pgp</a>]
     </li>
     <li>
       <a href="[preferred]/httpcomponents/httpclient/binary/httpcomponents-client-4.3-alpha1-bin.zip">4.3-alpha1.zip</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/binary/httpcomponents-client-4.3-alpha1-bin.zip.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/binary/httpcomponents-client-4.3-alpha1-bin.zip.asc">pgp</a>]
     </li>
     <li>
       <a href="[preferred]/httpcomponents/httpclient/binary/httpcomponents-client-4.3-alpha1-osgi-bin.tar.gz">4.3-alpha1.tar.gz (OSGi bundle)</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/binary/httpcomponents-client-4.3-alpha1-osgi-bin.tar.gz.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/binary/httpcomponents-client-4.3-alpha1-osgi-bin.tar.gz.asc">pgp</a>]
     </li>
     <li>
       <a href="[preferred]/httpcomponents/httpclient/binary/httpcomponents-client-4.3-alpha1-osgi-bin.zip">4.3-alpha1.zip (OSGi bundle)</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/binary/httpcomponents-client-4.3-alpha1-osgi-bin.zip.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/binary/httpcomponents-client-4.3-alpha1-osgi-bin.zip.asc">pgp</a>]
     </li>
    </ul>
    <p>Source</p>
    <ul>
     <li>
       <a href="[preferred]/httpcomponents/httpclient/source/httpcomponents-client-4.3-alpha1-src.tar.gz">4.3-alpha1.tar.gz</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/source/httpcomponents-client-4.3-alpha1-src.tar.gz.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/source/httpcomponents-client-4.3-alpha1-src.tar.gz.asc">pgp</a>]
     </li>
     <li>
       <a href="[preferred]/httpcomponents/httpclient/source/httpcomponents-client-4.3-alpha1-src.zip">4.3-alpha1.zip</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/source/httpcomponents-client-4.3-alpha1-src.zip.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpclient/source/httpcomponents-client-4.3-alpha1-src.zip.asc">pgp</a>]
     </li>
    </ul>
  </div>

  <div class="section"><h3>HttpCore 4.2.3 (GA)<a name="HttpCore_4.2.3_GA"></a></h3>
    <a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/KEYS">KEYS</a>
    <a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/RELEASE_NOTES-4.2.x.txt">Release Notes</a>
    <br />
    <p>Binary</p>
    <ul>
     <li>
       <a href="[preferred]/httpcomponents/httpcore/binary/httpcomponents-core-4.2.3-bin.tar.gz">4.2.3.tar.gz</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/binary/httpcomponents-core-4.2.3-bin.tar.gz.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/binary/httpcomponents-core-4.2.3-bin.tar.gz.asc">pgp</a>]
     </li>
     <li>
       <a href="[preferred]/httpcomponents/httpcore/binary/httpcomponents-core-4.2.3-bin.zip">4.2.3.zip</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/binary/httpcomponents-core-4.2.3-bin.zip.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/binary/httpcomponents-core-4.2.3-bin.zip.asc">pgp</a>]
     </li>
     <li>
       <a href="[preferred]/httpcomponents/httpcore/binary/httpcomponents-core-4.2.3-osgi-bin.tar.gz">4.2.3.tar.gz (OSGi bundle)</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/binary/httpcomponents-core-4.2.3-osgi-bin.tar.gz.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/binary/httpcomponents-core-4.2.3-osgi-bin.tar.gz.asc">pgp</a>]
     </li>
     <li>
       <a href="[preferred]/httpcomponents/httpcore/binary/httpcomponents-core-4.2.3-osgi-bin.zip">4.2.3.zip (OSGi bundle)</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/binary/httpcomponents-core-4.2.3-osgi-bin.zip.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/binary/httpcomponents-core-4.2.3-osgi-bin.zip.asc">pgp</a>]
     </li>
    </ul>
    <p>Source</p>
    <ul>
     <li>
       <a href="[preferred]/httpcomponents/httpcore/source/httpcomponents-core-4.2.3-src.tar.gz">4.2.3.tar.gz</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/source/httpcomponents-core-4.2.3-src.tar.gz.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/source/httpcomponents-core-4.2.3-src.tar.gz.asc">pgp</a>]
     </li>
     <li>
       <a href="[preferred]/httpcomponents/httpcore/source/httpcomponents-core-4.2.3-src.zip">4.2.3.zip</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/source/httpcomponents-core-4.2.3-src.zip.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/source/httpcomponents-core-4.2.3-src.zip.asc">pgp</a>]
     </li>
    </ul>
  </div>

  <div class="section"><h3>HttpCore 4.3-alpha1<a name="HttpCore_4.3-alpha1"></a></h3>
    <a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/KEYS">KEYS</a>
    <a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/RELEASE_NOTES.txt">Release Notes</a>
    <br />
    <p>Binary</p>
    <ul>
     <li>
       <a href="[preferred]/httpcomponents/httpcore/binary/httpcomponents-core-4.3-alpha1-bin.tar.gz">4.3-alpha1.tar.gz</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/binary/httpcomponents-core-4.3-alpha1-bin.tar.gz.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/binary/httpcomponents-core-4.3-alpha1-bin.tar.gz.asc">pgp</a>]
     </li>
     <li>
       <a href="[preferred]/httpcomponents/httpcore/binary/httpcomponents-core-4.3-alpha1-bin.zip">4.3-alpha1.zip</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/binary/httpcomponents-core-4.3-alpha1-bin.zip.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/binary/httpcomponents-core-4.3-alpha1-bin.zip.asc">pgp</a>]
     </li>
     <li>
       <a href="[preferred]/httpcomponents/httpcore/binary/httpcomponents-core-4.3-alpha1-osgi-bin.tar.gz">4.3-alpha1.tar.gz (OSGi bundle)</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/binary/httpcomponents-core-4.3-alpha1-osgi-bin.tar.gz.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/binary/httpcomponents-core-4.3-alpha1-osgi-bin.tar.gz.asc">pgp</a>]
     </li>
     <li>
       <a href="[preferred]/httpcomponents/httpcore/binary/httpcomponents-core-4.3-alpha1-osgi-bin.zip">4.3-alpha1.zip (OSGi bundle)</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/binary/httpcomponents-core-4.3-alpha1-osgi-bin.zip.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/binary/httpcomponents-core-4.3-alpha1-osgi-bin.zip.asc">pgp</a>]
     </li>
    </ul>
    <p>Source</p>
    <ul>
     <li>
       <a href="[preferred]/httpcomponents/httpcore/source/httpcomponents-core-4.3-alpha1-src.tar.gz">4.3-alpha1.tar.gz</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/source/httpcomponents-core-4.3-alpha1-src.tar.gz.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/source/httpcomponents-core-4.3-alpha1-src.tar.gz.asc">pgp</a>]
     </li>
     <li>
       <a href="[preferred]/httpcomponents/httpcore/source/httpcomponents-core-4.3-alpha1-src.zip">4.3-alpha1.zip</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/source/httpcomponents-core-4.3-alpha1-src.zip.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpcore/source/httpcomponents-core-4.3-alpha1-src.zip.asc">pgp</a>]
     </li>
    </ul>
  </div>
  
  <div class="section"><h3>HttpAsyncClient 4.0-beta3<a name="HttpAsyncClient_4.0-beta3"></a></h3>
    <a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpasyncclient/KEYS">KEYS</a>
    <a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpasyncclient/RELEASE_NOTES.txt">Release Notes</a>
    <br />
    <p>Binary</p>
    <ul>
     <li>
       <a href="[preferred]/httpcomponents/httpasyncclient/binary/httpcomponents-asyncclient-4.0-beta3-bin.tar.gz">4.0-beta3.tar.gz</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpasyncclient/binary/httpcomponents-asyncclient-4.0-beta3-bin.tar.gz.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpasyncclient/binary/httpcomponents-asyncclient-4.0-beta3-bin.tar.gz.asc">pgp</a>]
     </li>
     <li>
       <a href="[preferred]/httpcomponents/httpasyncclient/binary/httpcomponents-asyncclient-4.0-beta3-bin.zip">4.0-beta3.zip</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpasyncclient/binary/httpcomponents-asyncclient-4.0-beta3-bin.zip.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpasyncclient/binary/httpcomponents-asyncclient-4.0-beta3-bin.zip.asc">pgp</a>]
     </li>
    </ul>
    <p>Source</p>
    <ul>
     <li>
       <a href="[preferred]/httpcomponents/httpasyncclient/source/httpcomponents-asyncclient-4.0-beta3-src.tar.gz">4.0-beta3.tar.gz</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpasyncclient/source/httpcomponents-asyncclient-4.0-beta3-src.tar.gz.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpasyncclient/source/httpcomponents-asyncclient-4.0-beta3-src.tar.gz.asc">pgp</a>]
     </li>
     <li>
       <a href="[preferred]/httpcomponents/httpasyncclient/source/httpcomponents-asyncclient-4.0-beta3-src.zip">4.0-beta3.zip</a>
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpasyncclient/source/httpcomponents-asyncclient-4.0-beta3-src.zip.md5">md5</a>]
       [<a class="externalLink" href="http://www.apache.org/dist/httpcomponents/httpasyncclient/source/httpcomponents-asyncclient-4.0-beta3-src.zip.asc">pgp</a>]
     </li>
    </ul>
  </div>

  <div class="section"><h3>Older releases<a name="Older_releases"></a></h3>
    <p>
    Older releases are available from the 
    <a class="externalLink" href="http://archive.apache.org/dist/httpcomponents/">archives</a>. 
    </p>
  </div>

  </div>

  


      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
                      
<div class="xleft">Apache HttpComponents, Commons HttpClient, Apache, the Apache feather logo, and the Apache HttpComponents project logo are trademarks of The Apache Software Foundation.</div>
            
<br/>
            
<div class="xleft">All other marks mentioned may be trademarks or registered trademarks of their respective owners.</div>
                <div class="xright">Copyright &#169;                    2005-2013
                        <a href="http://www.apache.org/">Apache Software Foundation</a>.
            All Rights Reserved.      
        
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
